//
// Order of values to predictor mapping table.
// John Robinson, 2002.
//
	int orderarray[81] = {
			//      SHAPE      HIGHEST LOWEST NOMINAL
		0,	// ---- impossible
		0,	// ---0 impossible
		7,	// ---+ twist edge P       S      (Q+R)/2
		0,	// --0- impossible
		0,	// --00 impossible
		1,	// --0+ twist edge P       R=S    (Q+S)/2
		10,	// --+- twist edge S       R      (P+Q)/2
		1,	// --+0 twist edge P=S     R      (Q+S)/2
		1,	// --++ edge       P       R      (Q+S)/2
		0,	// -0-- impossible
		 0,	// -0-0 impossible
		 12,	// -0-+ hard-twist P       S      R(=Q)
		 0,	// -00- impossible
		 0,	// -000 impossible
		 12,	// -00+ isolate up P       Q=R=S  R
		 2,	// -0+- twist edge S       Q=R    (P+R)/2
		 3,	// -0+0 Vert edge  P=S     Q=R    SHAPE_V_EST
		 8,	// -0++ twist edge P       Q=R    (R+S)/2
		 9,	// -+-- twist edge R       Q      (P+S)/2
		 11,	// -+-0 hard-twist R       Q      P (=S)
		 6,	// -+-+ line	   P or R  Q or S Flag
		 2,	// -+0- twist edge R=S     Q      (P+R)/2
		 14,	// -+00 isol down  P=R=S   Q      S
		 12,	// -+0+ hard-twist P       Q      R (=S)
		 2,	// -++- edge       S       Q      (P+R)/2
		 2,	// -++0 twist edge P=S     Q      (P+R)/2
		 8,	// -+++ twist edge P       Q      (R+S)/2
		 0,	// 0--- impossible
		 0,	// 0--0 impossible
		 2,	// 0--+ twist edge P=Q     S      (P+R)/2
		 0,	// 0-0- impossible
		 0,	// 0-00 impossible
		 4,	// 0-0+ Horiz edge P=S     R=Q    SHAPE_H_EST
		 11,	// 0-+- hard-twist S       R      P (=Q)
		 11,	// 0-+0 isol down  P=Q=S   R      P
		 1,	// 0-++ twist edge P=Q     R      (Q+S)/2
		 0,	// 00-- impossible
		 0,	// 00-0 impossible
		 13,	// 00-+ isol down  P=Q=R   S      Q
		 0,	// 000- impossible
		 5,	// 0000 Flat       P=Q=R=S        H_ESTorV_EST
		 0,	// 000+ impossible
		 13,      // 00+- isol up    S       P=Q=R  Q
		 0,	// 00+0 impossible
		 0,	// 00++ impossible
		 1,	// 0+-- twist edge R       P=Q    (Q+S)/2
		 11,	// 0+-0 isol up    R       P=Q=S  P
		 11,	// 0+-+ hard-twist R       S      P (=Q)
		 4,	// 0+0- Horiz edge R=Q     P=S    SHAPE_H_EST
		 0,	// 0+00 impossible
		 0,	// 0+0+ impossible
		 2,	// 0++- twist edge S       P=Q    (P+R)/2
		 0,	// 0++0 impossible
		 0,	// 0+++ impossible
		 8,	// +--- twist edge Q       P      (R+S)/2
		 2,	// +--0 twist edge Q       P=S    (P+R)/2
		 2,	// +--+ edge       Q       S      (P+R)/2
		 12,	// +-0- hard-twist Q       P      R (=S)
		 12,	// +-00 isol up    Q       P=R=S  S
		 2,	// +-0+ twist edge Q       R=S    (P+R)/2
		 6,	// +-+- line       Q or S  P or R Flag
		 11,	// +-+0 hard-twist Q       R      P (=S)
		 9,	// +-++ twist edge Q       R      (P+S)/2
		 8,	// +0-- twist edge Q=R     P      (R+S)/2
		 3,	// +0-0 Vert edge  Q=R     P=S    SHAPE_V_EST
		 2,	// +0-+ twist edge Q=R     S      (P+R)/2
		 12,	// +00- isol down  Q=R=S   P      R
		 0,	// +000 impossible
		 0,	// +00+ impossible
		 12,	// +0+- hard-twist S       P      R (=Q)
		 0,	// +0+0 impossible
		 0,	// +0++ impossible
		 1,	// ++-- edge       R       P      (Q+S)/2
		 1,	// ++-0 twist edge R       P=S    (Q+S)/2
		 10,	// ++-+ twist edge R       S      (P+Q)/2
		 1,	// ++0- twist edge R=S     P      (Q+S)/2
		 0,	// ++00 impossible
		 0,	// ++0+ impossible
		 7,	// +++- twist edge S       P      (Q+R)/2
		 0,	// +++0 impossible
		 0,	// ++++ impossible
		};
